import request, { postBlob } from '@/utils/request'

// 获取师傅列表
export function memberListPageV2(data) {
  return request({
    url: `/member/list/page2?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function memberPageExport(data, name) {
  return postBlob({
    url: '/member/pageExport',
    data,
    name
  })
}


// 获取仓储列表
export function getList(params) {
  return request({
    url: '/member/list',
    method: 'get',
    params
  })
}

// 删除仓储
export function deleteMember(params) {
  return request({
    url: '/member/delete',
    method: 'post',
    params
  })
}

// 新增仓储
export function addMember(params) {
  return request({
    url: '/member/add',
    method: 'post',
    data: params
  })
}

// 编辑仓储
export function editMember(params) {
  return request({
    url: '/member/update',
    method: 'post',
    data: params
  })
}

// 获取仓储详情
export function getMemberDetail(params) {
  return request({
    url: '/member/detail',
    method: 'get',
    params
  })
}
